Zydis v4.1.1

Loading...
Searching...
No Matches
Zydis.h File Reference

Master include file. More...

`#include <Zycore/Defines.h>`
`#include <Zycore/Types.h>`
`#include <Zydis/Decoder.h>`
`#include <Zydis/DecoderTypes.h>`
`#include <Zydis/Encoder.h>`
`#include <Zydis/Formatter.h>`
`#include <Zydis/Segment.h>`
`#include <Zydis/Disassembler.h>`
`#include <Zydis/MetaInfo.h>`
`#include <Zydis/Mnemonic.h>`
`#include <Zydis/Register.h>`
`#include <Zydis/SharedTypes.h>`
`#include <Zydis/Status.h>`
`#include <Zydis/Utils.h>`

Go to the source code of this file.

## Macros
#define | ZYDIS_VERSION 0x0004000100000000ULL
| A macro that defines the zydis version.
#define | ZYDIS_VERSION_MAJOR(version)
| Extracts the major-part of the zydis version.
#define | ZYDIS_VERSION_MINOR(version)
| Extracts the minor-part of the zydis version.
#define | ZYDIS_VERSION_PATCH(version)
| Extracts the patch-part of the zydis version.
#define | ZYDIS_VERSION_BUILD(version)
| Extracts the build-part of the zydis version.

## Typedefs
typedef enum ZydisFeature_ | ZydisFeature
| Defines the ZydisFeature enum.

## Enumerations
enum | ZydisFeature_ { ZYDIS_FEATURE_DECODER , ZYDIS_FEATURE_ENCODER , ZYDIS_FEATURE_FORMATTER , ZYDIS_FEATURE_AVX512 , ZYDIS_FEATURE_KNC , ZYDIS_FEATURE_SEGMENT , ZYDIS_FEATURE_MAX_VALUE = ZYDIS_FEATURE_SEGMENT , ZYDIS_FEATURE_REQUIRED_BITS = ZYAN_BITS_TO_REPRESENT(ZYDIS_FEATURE_MAX_VALUE) }
| Defines the ZydisFeature enum. More...

## Functions
ZYDIS_EXPORT ZyanU64 | ZydisGetVersion (void)
| Returns the zydis version.
ZYDIS_EXPORT ZyanStatus | ZydisIsFeatureEnabled (ZydisFeature feature)
| Checks, if the specified feature is enabled in the current zydis library instance.

## Detailed Description

Master include file.

Includes everything else.